
echo "> Compiling and running without ubsan"
clang stb_vorbis_ubsan_bug_repro.c -o test
./test decoded.data
echo "> done"
echo ""

echo "> Compiling and running with ubsan"
clang stb_vorbis_ubsan_bug_repro.c -o test -fsanitize=undefined
./test decoded_ubsan.data
echo "> done"
echo ""

echo "> Comparing the two decoded files"
if cmp decoded.data decoded_ubsan.data; then
    echo "Files matched!"
fi
echo "> done"
echo ""



echo "> Compiling and running the patched version without ubsan"
clang stb_vorbis_ubsan_bug_repro.c -o test -DPATCHED_STB_VORBIS
./test decoded_patched.data
echo "> done"
echo ""

echo "> Compiling and running the patched version with ubsan"
clang stb_vorbis_ubsan_bug_repro.c -o test -fsanitize=undefined -DPATCHED_STB_VORBIS
./test decoded_ubsan_patched.data
echo "> done"
echo ""

echo "> Comparing the two decoded files"
if cmp decoded_patched.data decoded_ubsan_patched.data; then
    echo "Files matched!"
fi
echo "> done"
echo ""
